Page MenuHomeFreeBSD

Clean up LLD_UNSAFE from ports using openal-soft after 12.0 EOL
ClosedPublic

Authored by tobik on Jan 4 2020, 8:32 AM.

Details

Summary

After FreeBSD 12.0 EOL we no longer have to worry about LLD 6 and
can drop LLD_UNSAFE from openal-soft using ports. LLD 8 can link
them fine now but some ports needs a little help on i386 (-Wl,-znotext).

Test Plan

All changed ports build fine on 12.1 amd64, 12.1 i386

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

tobik created this revision.Jan 4 2020, 8:32 AM
jbeich added a subscriber: jbeich.Jan 4 2020, 12:19 PM

The way you add newline before LDFLAGS is not consistent. I'm biased (excessive newlines hinder readability) but in some cases you break existing style in the file.

emulators/rpcs3/Makefile
56 ↗(On Diff #66337)

Looks out of scope (increases risk) and incomplete (distinfo not updated and files/extra-patch-no-cotire not removed). libc++ workaround deprecation is obvious, so don't waste time unless you want to work on general post-EOL cleanup of dead code.

games/OpenTomb/Makefile
21 ↗(On Diff #66337)

Why break existing variable group instead of adding LDFLAGS after SUB_FILES? If you drop newline then putting LDFLAGS there looks fine.

games/astromenace/Makefile
32 ↗(On Diff #66337)

Newline here maybe unnecessary as CMAKE_ARGS is in the same variable group as USE_*.

games/blackshadeselite/Makefile
36 ↗(On Diff #66337)

Why here and not before/after MAKE_ARGS? MAKE_JOBS_UNSAFE looks out of place as well but it's a separate issue.

games/chromium-bsu/Makefile
30 ↗(On Diff #66337)

Newline here maybe unnecessary given MAKE_ARGS is in the same variable group as USE_*.

games/freeminer/Makefile
24 ↗(On Diff #66337)

If there's no newline before CMAKE_ARGS then adding one after doesn't make much sense.

games/glest/Makefile
28 ↗(On Diff #66337)

Why break existing variable group instead of adding LDFLAGS after SUB_FILES? If you drop newline then putting LDFLAGS there looks fine.

games/openclonk/Makefile
38 ↗(On Diff #66337)

Newline here looks unnecessary as CMAKE_ARGS is in the same group as USE_*.

games/retroarch/Makefile
71 ↗(On Diff #66337)

Newline maybe unnecessary given CONFIGURE_ARGS is in the same variable group as USE_*.

games/supertux2/Makefile
35 ↗(On Diff #66337)

Why break existing variable group? LDFLAGS and CMAKE_ARGS are used during build phase unlike DOS2UNIX_FILES and DOCSDIR.

games/tome4/Makefile
37 ↗(On Diff #66337)

Newline here maybe unnecessary as MAKE_ARGS and WRKSRC are in the same variable group.

games/trigger-rally/Makefile
26 ↗(On Diff #66337)

Why break existing variable group instead of adding LDFLAGS after INSTALLS_ICONS? If you drop newline then putting LDFLAGS there looks fine.

games/valyriatear/Makefile
34 ↗(On Diff #66337)

Newline here maybe unnecessary as CMAKE_ARGS is in the same variable group as USE_*.

jbeich added inline comments.Jan 4 2020, 12:21 PM
games/assaultcube/Makefile
27 ↗(On Diff #66337)

Why break existing variable group instead of adding LDFLAGS after SUB_FILES? If you drop newline then putting LDFLAGS there looks fine.

tobik updated this revision to Diff 66338.Jan 4 2020, 2:06 PM
  • Revert unrelated rpcs3 changes
tobik updated this revision to Diff 66340.Jan 4 2020, 3:46 PM
  • Remove some newlines before LDFLAGS_i386
tobik updated this revision to Diff 66400.Jan 6 2020, 5:57 AM
tobik marked 13 inline comments as done.
  • Rebase
This revision was not accepted when it landed; it landed in state Needs Review.Mar 19 2020, 11:02 PM
This revision was automatically updated to reflect the committed changes.